### Method

# Gtk.TextBuffer.set_enable_undo

#### Declaration [src]

    void
    gtk_text_buffer_set_enable_undo (
      GtkTextBuffer* buffer,
      gboolean enable_undo
    )

#### Description [src]

Sets whether or not to enable undoable actions in the text buffer.

If enabled, the user will be able to undo the last number of actions up to `gtk_text_buffer_get_max_undo_levels()`.

See `gtk_text_buffer_begin_irreversible_action()` and `gtk_text_buffer_end_irreversible_action()` to create changes to the buffer that cannot be undone.

#### Parameters

`enable_undo` | `gboolean`
| `TRUE` to enable undo